package com.wowza.wms.plugin.test.ws;

import com.wowza.wms.logging.*;
import com.wowza.wms.server.*;
import com.wowza.wms.application.*;

public class ServerListenerWowzaServerWS implements IServerNotify
{
	private String hostname = "localhost";
	private int port = 9091;
	private String serviceName = "wowzaserverws";

	private WowzaServerWebService ws = null;
	
	public void onServerCreate(IServer server)
	{
	}

	public void onServerInit(IServer server)
	{
		WMSProperties props = server.getProperties();
		
		this.hostname = props.getPropertyStr("wsIpAddress", this.hostname);
		this.serviceName = props.getPropertyStr("wsServiceName", this.serviceName);
		this.port = props.getPropertyInt("wsPort", this.port);
		
		WMSLoggerFactory.getLogger(null).info("ServerListenerWowzaServerWS.onServerInit: http://"+hostname+":"+port+"/"+serviceName);
		this.ws = new WowzaServerWebService();
		this.ws.bind(hostname, port, serviceName);
	}

	public void onServerShutdownStart(IServer server)
	{
		WMSLoggerFactory.getLogger(null).info("ServerListenerWowzaServerWS.onServerShutdownStart: http://"+hostname+":"+port+"/"+serviceName);
		if (this.ws != null)
			this.ws.shutdown();
		this.ws = null;
	}

	public void onServerShutdownComplete(IServer server)
	{
	}
}
